# TrustStoreProps

Properties used for the Trust Store.

Extends: TrustStoreProps
Used as props by: TrustStore

- Source: [`aws-elasticloadbalancingv2/lib/alb/trust-store.ts`](https://github.com/aws/aws-cdk/blob/v2.275.0/packages/aws-cdk-lib/aws-elasticloadbalancingv2/lib/alb/trust-store.ts#L32)
- Type last changed: v2.224.0 · 13 Nov 2025

## Example

```ts
import * as acm from 'aws-cdk-lib/aws-certificatemanager';

declare const certificate: acm.Certificate;
declare const lb: elbv2.ApplicationLoadBalancer;
declare const bucket: s3.Bucket;

const trustStore = new elbv2.TrustStore(this, 'Store', {
  bucket,
  key: 'rootCA_cert.pem',
});

lb.addListener('Listener', {
  port: 443,
  protocol: elbv2.ApplicationProtocol.HTTPS,
  certificates: [certificate],
  // mTLS settings
  mutualAuthentication: {
    advertiseTrustStoreCaNames: true,
    ignoreClientCertificateExpiry: false,
    mutualAuthenticationMode: elbv2.MutualAuthenticationMode.VERIFY,
    trustStore,
  },
  defaultAction: elbv2.ListenerAction.fixedResponse(200,
    { contentType: 'text/plain', messageBody: 'Success mTLS' }),
});
```

## Properties

- `bucket`: [IBucketRef](/cdk/api/v2/docs/aws-cdk-lib.interfaces.aws_s3.IBucketRef.html) (required) — The bucket that the trust store is hosted in.

- `key`: string (required) — The key in S3 to look at for the trust store.

- `trustStoreName`: string — The name of the trust store.

  **Default:** Auto generated

- `version`: string — The version of the S3 object that contains your truststore.

  **Default:** latest version

  To specify a version, you must have versioning enabled for the S3 bucket.
